<div class="container mx-auto mt-5 px-4">
  <h2 class="text-3xl font-bold text-gray-800 mb-6">Eventos em Tempo Real</h2>
  <div class="event-table space-y-6">
    <div *ngFor="let event of events" class="bg-white rounded-lg shadow-lg overflow-hidden transition-transform transform hover:scale-105">
      <div class="bg-blue-100 border-b border-blue-200 p-4">
        <p class="text-gray-700">
          <span class="font-semibold text-gray-900">{{ event.timestamp | date:'dd/MM/yyyy HH:mm:ss' }}</span> |
          <span class="font-semibold text-gray-900">ID:</span> {{ event.id }} |
          <span class="font-semibold text-gray-900">Evento:</span> {{ event.event }}
        </p>
      </div>
      <ul class="list-none p-4 space-y-2">
        <li *ngFor="let info of event.infos" class="flex items-start">
          <span class="font-medium text-gray-800 w-1/4">{{ info.key }}:</span>
          <span class="text-gray-600 w-3/4">{{ info.value }}</span>
        </li>
      </ul>
    </div>
  </div>
</div>
